### Name: as.ltraj
### Title: Working with Trajectories in 2D Space: the Class ltraj
### Aliases: as.ltraj ltraj print.ltraj summary.ltraj traj2ltraj ltraj2traj
###   rec
### Keywords: spatial

### ** Examples


data(puechabon)
locs <- puechabon$locs
locs[1:4,]
xy <- locs[,c("X","Y")]

######################################################
##
## Example of a trajectory of type I (time not recorded)

(litrI <- as.ltraj(xy, id = locs$Name, typeII=FALSE))
plot(litrI)

## The components of the object of class "ltraj"
head(litrI[[1]])

######################################################
##
## Example of a trajectory of type II (time recorded)

### Conversion of the date to the format POSIX
da <- as.character(locs$Date)
da <- as.POSIXct(strptime(as.character(locs$Date),"%y%m%d"))

### Creation of an object of class "ltraj", with for 
### example the first animal
(tr1 <- as.ltraj(xy[locs$Name=="Brock",],
                 date = da[locs$Name=="Brock"],
                 id="Brock"))

## The components of the object of class "ltraj"
head(tr1[[1]])

## With all animals
(litr <- as.ltraj(xy, da, id = locs$Name))

## Change something manually in the first burst:
head(litr[[1]])
litr[[1]][3,"x"] <- 700000

## Recompute the trajectory
litr <- rec(litr)
## Note that descriptive statistics have changed (e.g. dx)
head(litr[[1]])




