### Name: kasc2spixdf
### Title: Conversion of maps from/to the package "sp"
### Aliases: kasc2spixdf asc2spixdf spixdf2kasc area2spol spol2area
###   attpol2area traj2spdf traj2sldf ltraj2spdf ltraj2sldf kver2spol
### Keywords: hplot

### ** Examples

## Not run: 
##D if (require(sp)) {
##D 
##D #########################################
##D ##
##D ## Conversion kasc -> SpatialPixelsDataFrame
##D ##
##D 
##D data(puechabon)
##D toto <- kasc2spixdf(puechabon$kasc)
##D image(toto)
##D summary(toto)
##D 
##D #### and conversely
##D toto <- spixdf2kasc(toto)
##D image(toto)
##D hist(toto)
##D 
##D data(meuse.grid)
##D m <- SpatialPixelsDataFrame(points = meuse.grid[c("x", "y")],
##D                            data = meuse.grid)
##D i <- spixdf2kasc(m)
##D image(i)
##D 
##D ### conversion asc -> SpatialPixelsDataFrame
##D cuicui <- asc2spixdf(getkasc(toto,1))
##D image(cuicui)
##D 
##D #########################################
##D ##
##D ## Conversion kver -> SpatialPolygons
##D ##
##D 
##D hr <- getverticeshr(kernelUD(puechabon$locs[,c("X","Y")], puechabon$locs$Name,
##D                     grid=100))
##D 
##D plot(hr)
##D class(hr)
##D spo <- kver2spol(hr)
##D plot(spo)
##D class(spo)
##D 
##D #########################################
##D ##
##D ## Conversion area -> SpatialPolygons
##D ##
##D 
##D data(elec88)
##D ar <- as.area(elec88$area)
##D plot(ar)
##D toto <- area2spol(ar)
##D plot(toto)
##D 
##D #########################################
##D ##
##D ## Conversion SpatialPolygons -> area
##D ##
##D 
##D ## First create an object of class "SpatialRingsDataFrame"
##D tutu <- SpatialPolygonsDataFrame(toto, elec88$tab)
##D 
##D ## and then conversion:
##D coincoin <- spol2area(tutu)
##D plot(coincoin)
##D 
##D ## gets the attributes
##D haha <- attpol2area(tutu)
##D area.plot(coincoin, values = haha$Waechter)
##D 
##D #########################################
##D ##
##D ## Conversion ltraj -> SpatialPointsDataFrame
##D ##
##D 
##D data(puechcirc)
##D plot(puechcirc)
##D 
##D toto <- ltraj2spdf(puechcirc)
##D plot(toto)
##D 
##D 
##D #########################################
##D ##
##D ## Conversion ltraj -> SpatialLinesDataFrame
##D ##
##D 
##D toto <- ltraj2sldf(puechcirc)
##D plot(toto)
##D 
##D }
## End(Not run)



